=== debian/changelog ===
dde-launcher (5.4.11-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Wed, 14 Apr 2021 17:45:32 +0800

dde-launcher (3.0.12-1) unstable; urgency=low

  * Autobuild Tag 3.0.12 

 -- TagBuilder <tagbuilder@deepin.com>  Fri, 12 Aug 2016 18:47:39 +0000

dde-launcher (3.0.11-1) unstable; urgency=low

  * Autobuild Tag 3.0.11 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Fri, 27 May 2016 03:22:01 +0000

dde-launcher (3.0.10-1) unstable; urgency=low

  * Autobuild Tag 3.0.10 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Thu, 26 May 2016 14:32:06 +0000

dde-launcher (3.0.9-1) stable; urgency=low

  * Autobuild Tag 3.0.9 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Mon, 23 May 2016 12:34:10 +0000

dde-launcher (3.0.7-2) stable; urgency=low

  * Rebuild Version 3.0.7 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Thu, 21 Apr 2016 16:18:44 +0000

dde-launcher (3.0.7-1) stable; urgency=low

  * Autobuild Tag 3.0.7 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Mon, 07 Mar 2016 15:49:19 +0000

dde-launcher (3.0.6-2) stable; urgency=low

  * Rebuild Version 3.0.6 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Fri, 04 Mar 2016 17:02:46 +0000

dde-launcher (3.0.6-1) stable; urgency=low

  * Autobuild Tag 3.0.6 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Thu, 25 Feb 2016 10:41:51 +0000

dde-launcher (3.0.5-1) stable; urgency=low

  * Autobuild Tag 3.0.5 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Mon, 22 Feb 2016 16:40:21 +0000

dde-launcher (3.0.3-1) stable; urgency=low

  * Autobuild Tag 3.0.3 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Fri, 22 Jan 2016 20:00:48 +0000

dde-launcher (3.0.2-1) stable; urgency=low

  * Autobuild Tag 3.0.2 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Tue, 12 Jan 2016 18:33:22 +0000

dde-launcher (3.0.1-2) stable; urgency=low

  * Rebuild Version 3.0.1 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Wed, 30 Dec 2015 14:00:02 +0000

dde-launcher (3.0.1-1) stable; urgency=low

  * Autobuild Tag 3.0.1 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Tue, 29 Dec 2015 21:29:50 +0000

dde-launcher (3.0.0-1) stable; urgency=low

  * Autobuild Tag 3.0.0 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Mon, 28 Dec 2015 21:01:52 +0000

dde-launcher (2.90.4-2) stable; urgency=low

  * Rebuild Version 2.90.4 

 -- TagBuilder <tabbuilder@linuxdeepin.com>  Sun, 20 Dec 2015 11:08:18 +0000

dde-launcher (2.90.4-1) stable; urgency=low

  * Autobuild Tag 2.90.4 

 -- TagBuilder <tabbuilder@linuxdeepin.com>  Sat, 19 Dec 2015 13:08:16 +0000

dde-launcher (2.90.3-1) stable; urgency=low

  * Autobuild Tag 2.90.3 

 -- TagBuilder <tabbuilder@linuxdeepin.com>  Thu, 10 Dec 2015 20:43:41 +0000

dde-launcher (2.90.2-1) stable; urgency=low

  * Autobuild Tag 2.90.2 

 -- TagBuilder <tabbuilder@linuxdeepin.com>  Wed, 09 Dec 2015 21:56:58 +0000

dde-launcher (2.90.1-1) stable; urgency=low

  * Autobuild Tag 2.90.1 

 -- TagBuilder <tabbuilder@linuxdeepin.com>  Fri, 20 Nov 2015 09:46:37 +0000
