=== debian/control ===
Source: dde-launcher
Section: x11
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends:
 cmake,
 debhelper-compat (= 11),
 libdframeworkdbus-dev,
 libdtkcore-dev,
 libdtkgui-dev,
 libdtkwidget-dev,
 libgsettings-qt-dev,
 libqt5svg5-dev,
 libqt5x11extras5-dev,
 libxcb-ewmh-dev,
 pkg-config,
 qtbase5-dev,
 qtbase5-private-dev,
 qttools5-dev-tools,
 libgtest-dev
Standards-Version: 3.9.8
Homepage: http://www.deepin.org/

Package: dde-launcher
Architecture: any
Depends:
 deepin-desktop-schemas (>= 5.9.3),
 libdframeworkdbus2 (>= 5.3.0.24),
 dde-daemon (>=5.12.48),
 startdde (>=5.6.0.34),
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 dde-workspace (<< 2.90.5),
Description:deepin desktop-environment - dde-launcher module
 Deepin desktop environment 2015 - dde-launcher module.
 Display all installation programs, and provide access to open, uninstall, boot and start, which is convenient for users to operate quickly
