=== debian/changelog ===
dde-launcher (5.5.11-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 21 Feb 2022 11:26:49 +0800
