=== debian/changelog ===
dde-launcher (5.5.19.1-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Thu, 05 May 2022 17:25:04 +0800
