=== debian/changelog ===
dde-launcher (5.5.23-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 27 Jun 2022 10:43:08 +0800
