## dde-launcher 5.5.29

=== debian/changelog ===
dde-launcher (5.5.29-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Sat, 13 Aug 2022 13:52:52 +0800

dde-launcher (3.0.12) unstable; urgency=low

  * Autobuild Tag 3.0.12 

 -- TagBuilder <tagbuilder@deepin.com>  Fri, 12 Aug 2016 18:47:39 +0000
