## dde-launcher 5.5.32

=== debian/changelog ===
dde-launcher (5.5.32-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Sat, 27 Aug 2022 10:37:50 +0800
