=== debian/changelog ===
dde-launcher (5.5.40.2-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 11 Apr 2023 14:28:09 +0800
