=== debian/changelog ===
dde-launcher (6.0.19) unstable; urgency=medium

  * fix: declare conflict with dde-launchpad
  * fix: logout timeout

 -- Wang Zichong <wangzichong@deepin.org>  Fri, 22 Dec 2023 14:34:00 +0800

dde-launcher (6.0.18) unstable; urgency=medium

  * chore: initialize member value explicitly
  * fix: uninstall failed
  * refact: clean code on appsmanager
  * refact: optimise code on appsmanager
  * refact: optimize code on SettingsMaptoItemInfoList
  * fix: launcher crashed during refershItemInfoList
  * refact: DBus activation file and add systemd service
  * chore: not test mouse point if launcher is hidden
  * fix: compatible with New AM

 -- Deepin Packages Builder <packages@deepin.org>  Mon, 06 Nov 2023 17:19:58 +0800

dde-launcher (6.0.17) unstable; urgency=medium

  [ Deepin Packages Builder ]
  * fix: switch between fullscreen & window(Issue: 5519)
  * fix: application with no icon(Issue: 5513)
  * chore: connect autostartchanged signal
  * chore: modify interface name of PropertiesChanged signal
  * chore: adjust removeDuplicateData
  * fix: uninstall apps failed
  * fix: duplicated item show in launcher(Issue: 4374)

 -- Deepin Packages Builder <packages@deepin.org>  Fri, 15 Sep 2023 11:38:39 +0800

dde-launcher (6.0.16) unstable; urgency=medium

  * fix: onAppearanceChanged use mistake type
  * fix: move and sort app failed(Issue: https://github.com/linuxdeepin/developer-center/issues/5085)
  * fix: crashed when starting
  * chore: correct a typo in appsmanager.cpp
    Thanks to Felix Yan
  * chore: adapt to AM
  * refact: the section about AM Reborn

 -- Deepin Packages Builder <packages@deepin.org>  Fri, 08 Sep 2023 11:31:50 +0800

dde-launcher (6.0.15) unstable; urgency=medium

  * Fix black box while dragging icon from fullscreen launcher

 -- Wang Zichong <wangzichong@deepin.org>  Wed, 16 Aug 2023 16:12:00 +0800

dde-launcher (6.0.14) unstable; urgency=medium

  * Avoid display multiple entries for desktop files shares the same freedesktop id
  * Fix incorrect trash icon status when there are trashed files in partitions other than home
  * Avoid hardcode dde-launcher binary path
  * Use qdbusxml2cpp-fix path provided by DtkTools CMake module

 -- Wang Zichong <wangzichong@deepin.org>  Wed, 05 Jul 2023 13:51:00 +0800

dde-launcher (6.0.13) unstable; urgency=medium

  * fix icons will be added repeatedly

 -- Wang Zichong <wangzichong@deepin.org>  Fri, 12 May 2023 17:23:00 +0800

dde-launcher (6.0.12) unstable; urgency=medium

  * Fix new icons might not displayed in fullscreen mode

 -- Wang Zichong <wangzichong@deepin.org>  Thu, 11 May 2023 16:13:00 +0800

dde-launcher (6.0.11) unstable; urgency=medium

  * Avoid setting invalid font weight to QFont
  * Avoid moving window to invalid place when certain dbus is missing
  * Raise up pixmap cache limit to 64800 KiB
  * Fix duplicate icons may be shown after update launcher

 -- Wang Zichong <wangzichong@deepin.org>  Mon, 08 May 2023 13:54:00 +0800

dde-launcher (6.0.10) unstable; urgency=medium

  * Update documentation
  * Fix application blurry category icon issue

 -- Wang Zichong <wangzichong@deepin.org>  Sun, 23 Apr 2023 15:43:00 +0800

dde-launcher (6.0.9) unstable; urgency=medium

  * Make use of Qt CMake module to find package
  * Correct category text size and color in windowed frame
  * App group should show max to 4 icons in fullscreen frame
  * Fix window mode load slow caused by icon reload
  * avoid hardcode size to screen rect
  * Fix missing blur in the app drawer of fullscreen frame
  * Fix icons inside app drawer not aligned up
  * Fix mode switch button icon size caused blurry icon
  * Show one favorate row when favorate apps are less than 5

 -- Wang Zichong <wangzichong@deepin.org>  Wed, 29 Mar 2023 13:59:00 +0800

dde-launcher (6.0.8) unstable; urgency=medium

  [ TagBuilder ]
  * fix: 修复启动器全屏模式下无法使用键盘翻页的问题(Bug: 180633)

 -- lvpeilong <lvpeilong@uniontech.com>  Wed, 01 Feb 2023 10:39:10 +0800

dde-launcher (6.0.7) unstable; urgency=medium

  [ TagBuilder ]
  * fix: 修复启动器壁纸与桌面壁纸不同步的问题(Bug: 181459)(Influence: 启动器-全屏壁纸/文件夹背景样式跟桌面壁纸保持一致)
  * fix: 修复全屏模式下所有应用列表也根据使用频率排序的问题(Bug: 181449)(Influence: 启动器-全屏模式下所有应用列表只支持自由排序)

 -- lvpeilong <lvpeilong@uniontech.com>  Fri, 06 Jan 2023 15:53:51 +0800

dde-launcher (6.0.6.1) unstable; urgency=medium

  [ TagBuilder ]
  * fix: 修复动画异常问题(Bug: 150445)(Influence: 拖拽收藏列表-所有应用列表展示正常)
  * fix: 修复分页控件未适配系统缩放率问题(Task: 229945)(Influence: 启动器-全屏-分页控件-不同缩放率下正常显示)
  * fix: 修复启动器卡住问题(Bug: 179289)(Influence: 启动器-全屏模式下-往回收站附近拖拽应用-功能正常)
  * fix: 修复拖拽应用与文件夹交换位置的过程中，文件夹消失的问题(Bug: 179397)(Influence: 启动器-全屏-拖拽应用与文件夹进行位置交换，文件夹不消失)
  * fix: 修复文件夹展开窗口翻页控件消失问题(Task: 231337)(Influence: 启动器-全屏-当所有应用都放入一个文件夹时，翻页控件正常显示)
  * fix: 修复收藏列表默认为空的问题(Bug: 179235)(Influence: 启动器-当本地安装了默认的应用（控制中心、文件管理器、安全中心、邮箱）时，收藏列表默认不为空)
  * fix: 修复收藏列表为空时无法拖拽进入问题(Task: 219059)(Influence: 启动器-收藏列表为空时，支持拖拽应用到收藏列表中)
  * fix: 修复启动器在高缩放率下图标显示异常问题(Task: 231729)(Influence: 小窗口模式切换按钮/设置/电源按钮在多倍缩放率下显示正常)
  * fix: 修复所有应用列表没有按照使用频率排序的问题(Bug: 150679)(Influence: 启动器-小窗口所有应用列表、全屏所有应用列表、当前文件夹展开窗口按照使用频率进行排序)

 -- zhaoyingzhen <zhaoyingzhen@uniontech.com>  Thu, 29 Dec 2022 18:37:42 +0800

dde-launcher (6.0.5.2) unstable; urgency=medium

  [ TagBuilder ]
  * fix: 修复文件夹内应用无法移除的问题(Bug: 134879, 150387)(Influence: 1. 启动器-全屏-从文件夹中移除应用功能正常)
  * fix: 修复启动器全屏列表应用名称未翻译问题(Bug: 165903)(Influence: 多语言环境下-启动器两种窗口模式下应用列表正常显示)
  * fix: 修复切换到全屏后，列表为空的问题(Task: 208535)(Influence: 启动器-添加到收藏，并从收藏列表中移除，然后切换到全屏，应用列表显示内容为空)
  * fix: 修复卸载应用后，全屏列表为空的问题(Bug: 165773)(Task: 203779)(Influence: 启动器-卸载应用-应用列表显示正常)
  * fix: 更新启动接口配置(Task: 211667)(Influence: 点击任务栏-启动器可正常启动)
  * feat: 卸载接口适配(Task: 207481)(Influence: 适配卸载接口-支持卸载玲珑应用，debian包格式应用)
  * fix: 修复卸载应用后全屏列表为空的问题(Task: 208535)(Influence: 1. 启动器两种窗口模式下-列表正常显示)
  * fix: 修复卸载文件夹内所有的应用后，显示空文件夹的问题(Bug: 165807)(Influence: 启动器-全屏-卸载应用-列表显示正常)
  * fix: 修复新装应用图标为空的问题(Task: 203751)(Influence: 启动器-安装应用-应用列表显示正常.)
  * fix: 修复文件夹不显示页签问题和页签显示问题(Bug: 149229, 149051)(Influence: 1. 文件夹页签正常显示)

