=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@ --parallel
+		dh $@ --parallel
 
 include /usr/share/dpkg/default.mk
 SYSTYPE=Desktop
@@ -15,6 +15,7 @@
 
 ifeq ($(DEB_BUILD_ARCH), sw_64)
 override_dh_auto_configure:
-	dh_auto_configure -- -DENABLE_MIEEE=YES -DDISABLE_DRAG_ANIMATION=YES
+		dh_auto_configure -- -DENABLE_MIEEE=YES -DDISABLE_DRAG_ANIMATION=YES
 endif
 
+
